function ParkourM03:StartActivity()
	print("START!  ParkourM03:StartActivity()!") 
	
		AudioMan:ClearMusicQueue();
   	AudioMan:PlayMusic("ParkourRunner.rte/Audiomachine - 'Akkadian Empire'.ogg", 0, -1);
	
	self.braindead = {};
	self.AssignedBrains = {};
	self.MOIDLimit = 200;
    
	self.PlayerGold = 0;

   	self.CPUTeam = Activity.TEAM_2;
	self.PlayerTeam = Activity.TEAM_1;
	self.RogueTeam = -1;

	for player = 0, self.PlayerCount - 1 do
        if not self:GetPlayerBrain(player) then
			self.braindead[player] = false;
			local brain = CreateAHuman("Parkour Runner" , "ParkourRunner.rte");
			brain.Pos = Vector(990 + player * 156 , 2292);
			brain.AIMode = Actor.AIMODE_SENTRY;
			self.AssignedBrains[player] = brain;

            MovableMan:AddActor(brain);
            self:SetPlayerBrain(brain, player);
            SceneMan:SetScroll(self:GetPlayerBrain(player).Pos, player);
            self:SetObservationTarget(self:GetPlayerBrain(player).Pos, player);
        end
    end
	
    self:SetTeamFunds(self.PlayerGold , self.PlayerTeam);
end
function ParkourM03:PauseActivity(pause)
    print("PAUSE!  ParkourM03:PauseActivity()!");
end
function ParkourM03:EndActivity()
    print("END!  ParkourM03:EndActivity()!");
end
function ParkourM03:UpdateActivity()
   	self:ClearObjectivePoints();

	self:DoBrainSelection();
	
	self:YSortObjectivePoints();
end
function ParkourM03:DoBrainSelection()
	if not (self.ActivityState == Activity.OVER) then
		for player = 0, self.PlayerCount - 1 do
			local team = self:GetTeamOfPlayer(player);
	
			local brain = self:GetPlayerBrain(player);
			if not brain or not MovableMan:IsActor(brain) or not brain:HasObjectInGroup("Brains") then
				self:SetPlayerBrain(nil, player);
				local newBrain = MovableMan:GetUnassignedBrain(team);
				if newBrain and self.braindead[player] == false then
					self:SetPlayerBrain(newBrain, player);
					self:SwitchToActor(newBrain, player, team);
				else
					FrameMan:SetScreenText("You died!", player, 333, -1, false);
					self.braindead[player] = true;
					
					if not MovableMan:GetClosestBrainActor(team) then
						self.WinnerTeam = self:OtherTeam(team);
						ActivityMan:EndActivity();
					end
				end
			else
				self:SetObservationTarget(brain.Pos, player)
			end
		end
	end
end



